* S*BASIC function to check whether a channel is open
* V0.01 (original Jun 1988)
* V0.02, pjw, 2025 Apr 09, updated for pick'n'mix toolkit
*
*
* Usage: er% = CHOP%([#]ch)
*
* where #ch is the S*BASIC channel number
*
* Compatible with all systems and compilers

        section code

*
        xdef CHOP

        xref chan_get

        include dev8_keys_sbasic

CHOP
        move.l a5,d0
        sub.l a3,d0
        subq.l #8,d0
        beq.s ok

        moveq #-15,d0
        rts

ok
        bsr chan_get

        subq.l #2,sb_arthp(a6)
        movea.l sb_arthp(a6),a1
        move.w d0,(a6,a1.l)

        moveq #ar.int,d4                integer return
        moveq #0,d0

        rts

*
        end
